package textfieldnowwidget.fxml;

import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;
//import java.util.logging.Logger;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.layout.AnchorPane;

/**
 * This is a standard JavaFX project
 * To export as a jar:
 * Create a jar folder in the project workspace with same level as fxml: like
 * .\JavaFX\TextfieldNowWidget\src\textfieldnowwidget\jar\
 * Copy from the bin folder all files to the jar folder. This folder contains for this example:
 * textfieldnowwidget.jar, .class, fxml, maincontroller
 * Select the the package javafxex2.fxml > right click > file > export as jar > set the jar folder created and package name textfieldnowwidget > select only src and not other!!!
 * In JavaFX Scene Builder select and import the jar file. The control TextfieldNowWidget should be listed under custom.
 *
 * Export as  
 * @author RwbL
 */
public class TextfieldNowWidget extends AnchorPane {

    //private static final Logger logger = Logger.getLogger(TextfieldNowWidget.class.getName());

	private double Version = 0.1; 
	
    @FXML
    public Label lblPrompt;

    @FXML
    public TextField tfInput;

    public TextfieldNowWidget () {
        super();
        FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource("TextfieldNowWidget.fxml"));
        fxmlLoader.setRoot(this);
        fxmlLoader.setController(this);
        try {
            fxmlLoader.load();
        } catch (IOException exception) {
            throw new RuntimeException(exception);
        }
    }

    /**
     * Returns the content of the input field. 
     * @return the text shown in the input field
     */
    public final void setLabel(String s) {
        lblPrompt.setText(s);
    }
 
    /**
     * Returns the content of the input field. 
     * @return the text shown in the input field
     */
    public final String getText() {
        return tfInput.getText();
    }
 
    /**
     * Returns the version of the widget. 
     * 
     * @return the version
     */
    public final double getVersion() {
        return Version;
    }
 
    // Handler for Button[id="btnNow"] onAction
    public void btnNowOnAction(ActionEvent event) {
    	Date date = new Date();
        SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String dateString = formatter.format(date);
        tfInput.setText(dateString);
    }
}


